// Translate Data models into codes

// Users Collection (Users.json)

{
		//actual value usually loke like this 507f1f77bcf86cd <= actual on+bjectID generated by the DBMS
	"_id":"user001",
	"firstName": "John",
	"lastName" : "Smith";
	"email" : "johnsmith@mail.com",
	"password": "johnsmith123",
	"isAdmin" : false,
	"mobileNumber": "09123456789",
	
}

{
		
	"_id":"user002",
	"firstName": "Jane",
	"lastName" : "Doe";
	"email" : "janedoe@mail.com",
	"password": "janedoe123",
	"isAdmin" : false,
	"mobileNumber": "09123123123",
	
}

// Orders(Order.json)

{

	"_id":"order001",
	"name": "safeguard",
	"transactionDate" : "2022-06-10T15",
	"status" : "available",
	"total": 150,
	


}

{

	"_id":"order002",
	"name": "palmolive",
	"transactionDate" : "2022-06-10T15",
	"status" : "available",
	"total": 100,


}

// Products(products.json)

{


		"id": "products001" ,
		"name": "safeguard",
		"description": "anti bacterial soap",
		"price": 150,
		"stocks": ["safeguard"],
		"isActive": "true"
		"sku" : "4354-fdfgdfg"


}

{


	"id": "products002" ,
		"name": "palmolive",
		"description": "shampoo",
		"price": 100,
		"stocks": ["palmolive"],
		"isActive": "true"
		"sku" : "1234-fbcvbcvbcv"


}

// Order Products(order products.json)

{


		"id": "4354-fdfgdfg" ,
		"orderId": "order001",
		"productID": "products001",
		"quantity": 2,
		"price": 150,
		"subTotal": 150


}

{


		"id": "1234-fbcvbcvbcv" ,
		"orderId": "order002",
		"productID": "products002",
		"quantity": 2,
		"price": 100,
		"subTotal": 100


}